<template name="liveComment">
	<view>
		<view class="banner">
			<dever-video
			:src="item.live" 
			:pic="item.pic" 
			:control="false"
			:index="0" 
			:vid="item.id" 
			:load.sync="load"
			ref="video"
			>
			</dever-video>
		</view>
		<comment :item="item" :type="`content/live_comment`" :type_id="item.id"></comment>
	</view>
</template>

<script>
import deverVideo from '@/lib/dever/components/video.nvue';
import comment from "@/pages/dream/view/comment.vue";
export default {
	name: "liveComment",
	props: {
		control : {
			type : Object,
			value : null
		},
		item : {
			type    : Object,
			value	: null
		},
		index : 0
	},
	data() {
		return {
			load : false,
		}
	},
	mounted() {
		this.control[this.index] = this;
	},
	methods:{
		start : function() {
			this.$refs.video.start();
		},
		stop : function() {
			this.$refs.video.stop(true);
		},
	},
	components:{
		deverVideo,comment
	}
}
</script>

<style>
.banner{
  position: relative;
  width: 750rpx;
  height: 422rpx;
  display: block;
}
</style>